// Neural Space Rev. 2002
// By Hector Lopez
// 10/3/2002

#ifndef _DEFS_H_
#define _DEFS_H_

#include <Application.h>
#include <View.h>
#include <PopUpMenu.h>
#include <MenuItem.h>
#include <Deskbar.h>
#include <Rect.h>
#include <Alert.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <MessageRunner.h>
#include <Entry.h>
#include <Roster.h>
#include <Directory.h>
#include <ColorControl.h>
#include <Box.h>
#include <RadioButton.h>
#include <TextControl.h>
#include <Button.h>


#define NS_PREFS 'pref'
#define NS_ABOUT 'abou'
#define NS_QUIT 'quit'
#define NS_PULSE 'puls'
#define NS_APP_SIGNATURE "application/x-vnd.NeuralSpaceRev2002"
#define NS_DEFAULT_FRAME_COLOR 0x20202000
#define NS_DEFAULT_IDLE_COLOR 0x20204000
#define NS_DEFAULT_ACTIVE_COLOR 0x6EB4FF00
#define NS_ICON_WIDTH_CONTROL 'nsiw'
#define NS_DEFAULTS 'defs'
#define NS_COLOR_CHANGE 'nscc'
#define NS_FRAME_COLOR_SELECTED 'fcs'
#define NS_IDLE_COLOR_SELECTED 'ics'
#define NS_ACTIVE_COLOR_SELECTED 'acs'
#define NS_RESET 'rese'
#define NS_PREFS_WINDOW_DIED 'pwd'

typedef struct {
	rgb_color frame;
	rgb_color idle;
	rgb_color active;
	int8 width;
	BMessenger *msgTarget;
	} passing_things;

#endif